package xiaoqu.home.open.controller.output.webpage;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import xiaoqu.home.open.model.db2.Webpage;

import java.util.List;

@ApiModel("页面输出包")
public class WebPageOutput extends Webpage {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty(value = "下级层级")
	private List<WebPageOutput> children;
	@ApiModelProperty(value = "下级数量")
	private Integer size;

	public List<WebPageOutput> getChildren() {
		return children;
	}

	public void setChildren(List<WebPageOutput> children) {
		this.children = children;
	}

	public Integer getSize() {
		return size;
	}

	public void setSize(Integer size) {
		this.size = size;
	}
}
